RISTTUNNEL(1)

NAME
risttunnel - IP tunnel over RIST with ARQ packet recovery

SYNOPSIS
risttunnel [OPTIONS]

DESCRIPTION
Reliable Internet Stream Transport (RIST) is a transport protocol designed for reliable transmission of video over lossy networks (including the Internet) with low latency and high quality.

risttunnel allows one to tunnel over RIST with ARQ packet recovery

  Where OPTIONS are:

-l, --local-ip IP/PREFIX
    Mandatory Option: Local tunnel IP (e.g. 10.0.0.1/24)

-o, --output-url URL
    Mandatory Option: RIST URL for sending

-b, --input-url URL
    Mandatory Option: RIST URL for receiving

-i, --interface NAME
    TUN interface name (default: auto)

-m, --mtu INT
    TUN MTU (default: 1400)

-M, --rtt-multiplier INT
    RIST buffer RTT multiplier (default: 3)

-s, --secret STRING
    PSK shared secret

-e, --encryption-type INT
    AES type: 128 or 256 (default: 128)

-S, --statsinterval INT
    Stats interval in ms (default: 1000, 0=off)

-v, --verbose-level INT
    Log level 0-6 (default: 3)

-p, --profile INT
    RIST profile: 0=simple, 1=main, 2=advanced (default: 2)

-F, --srpfile PATH
    EAP-SRP verifier file (server side)

-h, --help
    Show this help

  Example (server / listener side):

    sudo /usr/bin/risttunnel -l 10.0.0.1/24 -b rist://@:5000 -o rist://@:5001

  Example (client / caller side):

    sudo /usr/bin/risttunnel -l 10.0.0.2/24 -b rist://server:5001 -o rist://server:5000

Usage: append to end of individual rist:// url(s) as ?param1=value1&param2=value2...

    Simple, Main and Advanced Profiles

param buffer=###
    buffer size in milliseconds

    param buffer-min=### min buffer size in milliseconds param buffer-max=### max buffer size in milliseconds param bandwidth=### max bandwidth in Kbps param return-bandwidth=### max bandwidth for messaging return in Kbps param reorder-buffer=### reordering buffer size in ms param cname=abcde arbitrary name for stream for display in logging param rtt-min=### minimum expected rtt param rtt-max=### maximum expected rtt param timing-mode=# 0 = RTP Timestamp (default); 1 = Arrival Time, 2 = RTP/RTCP Timestamp+NTP

    Main and Advanced Profiles

param aes-type=#
    128 = AES-128, 256 = AES-256 must have passphrase too

param secret=abcde
    encryption passphrase

    param virt-dst-port destination port inside the GRE header param session-timeout=### timeout in ms for closing of connection where keep-alive fails param keepalive-interval=### interval in ms param key-rotation=## number of IP packets before a key rotation is triggered param congestion-control=# mitigation mode: (0=disabled, 1=normal, 2=aggressive) param min-retries=## min retries count before congestion control kicks in param max-retries=## max retries count param weight=# default weight for multi-path load balancing. Use 0 for duplicate paths. param username=abcde Username to identify this peer during authentication param password=abcde Password corresponding to this peer's Username

    Advanced Profile

param compression=1|0
    enable lz4 levels

Usage: append to end of individual udp:// or rtp:// url(s) as ?param1=value1&param2=value2...

param miface=(device)
    device name (e.g. eth0) for multicast

param stream-id=#
    ID number (arbitrary) for multiplex/demultiplexing steam in peer connector

param multiplex-mode=#
    Controls how rist payload is muxed/demuxed

    (-1=auto-detect, 0=rist/raw, 1=vrt_src_port, 2=ipv4)

SEE ALSO
ristsender(1), ristreceiver(1), https://code.videolan.org/rist/librist/-/wikis/LibRIST%20Documentation

AUTHOR

This manual page was written by Florian Ernst <florian@debian.org>, for the Debian project (and may be used by others).